Skip to navigation

SetSubUserRoles

View as Markdown

Adds the specified roles for a subuser.

Allowed roles: Owner.

Example request: Add the roles 1, 2, 3 to the subuser with id = 12.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

subuser_idintegerRequired
The subuser's ID
role_idlist of integersRequired

The role id list separated by semicolons (;)

role_namelist of stringsRequired

The role name list separated by semicolons (;)

Response

Successful response
resultintegerOptional